Skip to main content
`Ctrl`+`K`

# PCPARMSSetGlobal

Sets the global preconditioner to be used in `PCPARMS`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetGlobal(PC pc, PCPARMSGlobalType type)

Collective

## Input Parameters

- pc - the preconditioner context

- type - the global preconditioner type, one of

         PC_PARMS_GLOBAL_RAS   - Restricted additive Schwarz
         PC_PARMS_GLOBAL_SCHUR - Schur complement
         PC_PARMS_GLOBAL_BJ    - Block Jacobi

## Options Database Key

- -pc_parms_global [ras,schur,bj] - Sets global preconditioner

## Note

See the pARMS function `parms_PCSetType()` for more information.

## See Also

KSP: Linear System Solvers, `PCPARMS`, `PCPARMSSetLocal()`

## Level

intermediate

## Location

src/ksp/pc/impls/parms/parms.c

## Implementations

PCPARMSSetGlobal_PARMS() in src/ksp/pc/impls/parms/parms.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages